Mangools/API

Get tracked keywords in tracking list

Get the full rank detail for a single tracked keyword in a tracking.

The response includes:

  • ranking URLs split across organic, Map Pack and Featured Snippet, each with per-day rank, visual metrics and estimated visits
  • daily rank series across the requested from/to window, including Map Pack and Featured Snippet ranks
  • current and previous search volume
  • SERP snapshot preview link (when a recent snapshot is available)
  • assigned tags, last-check and created timestamps

Shared access

Supports a read-only share_token query parameter for share-link access.

GET
/serpwatcher/trackings/{tracking_id}/tracked-keywords/{tracked_keyword_id}

Authorization

ApiKeyAuth
x-access-token<token>

API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.

In: header

Path Parameters

tracking_id*string

tracking_id

tracked_keyword_id*string

tracked_keyword_id

Query Parameters

from?string

Filter from date

to?string

Filter to date

share_token?string

share_token

Response Body

application/json

application/json

application/json

curl -X GET "https://api.mangools.com/v3/serpwatcher/trackings/string/tracked-keywords/string"
{
  "_id": "string",
  "serp_id": "string",
  "keyword_id": "string",
  "kw": "string",
  "items": [
    {
      "type": "string",
      "url": "string",
      "rank_history": [
        {
          "date": "string",
          "rank": 0,
          "p": 0,
          "af": 0,
          "ft": 0,
          "cov": 0,
          "b": 0
        }
      ],
      "estimated_visits": 0,
      "estimated_visits_from": 0,
      "estimated_visits_change": 0,
      "rank": {
        "last": 0,
        "avg": 0,
        "best": 0,
        "change": 0
      },
      "visual_metrics": {
        "status": "string",
        "serp_coverage": 0,
        "serp_coverage_change": 0,
        "above_the_fold": 0,
        "above_the_fold_change": 0,
        "from_top_edge": 0,
        "from_top_edge_change": 0
      }
    }
  ],
  "search_volume": 0,
  "msv": [
    [
      2015,
      8,
      590
    ]
  ],
  "serp_snapshot": {
    "10_id": "string",
    "id": "string",
    "source_url": "string",
    "source_10_url": "string",
    "crawled_at": 0
  },
  "last_checked_at": 0,
  "created_at": 0,
  "tags": [
    {
      "_id": "string",
      "user_id": "string",
      "creator": "string",
      "tracking_id": "string",
      "name": "string",
      "color": "string",
      "created_at": 0
    }
  ]
}
{
  "error": {
    "type": "AuthError",
    "message": "Invalid API Key"
  }
}
{
  "error": {
    "type": "Error",
    "message": "Tag not found"
  }
}